pqxx::string_traits< range< TYPE > > Struct Template Reference

String conversions for a range type. More...

`#include <range.hxx>`

## Static Public Member Functions

static zview | to_buf (char *begin, char *end, range< TYPE > const &value)
static char * | into_buf (char *begin, char *end, range< TYPE > const &value)
static range< TYPE > | from_string (std::string_view text)
static constexpr std::size_t | size_buffer (range< TYPE > const &value) noexcept

## Detailed Description

template<typename TYPE>
struct pqxx::string_traits< range< TYPE > >

String conversions for a range type.

Conversion assumes that either your client encoding is UTF-8, or the values are pure ASCII.

## Member Function Documentation

## from_string()

template<typename TYPE >

static range< TYPE > pqxx::string_traits< range< TYPE > >::from_string | ( | std::string_view | text | ) |

static

References pqxx::text.

## into_buf()

template<typename TYPE >

static char * pqxx::string_traits< range< TYPE > >::into_buf | ( | char * | begin,
|  | char * | end,
|  | range< TYPE > const & | value
| ) |  |

static

References pqxx::range< TYPE >::empty(), pqxx::range< TYPE >::lower_bound(), and pqxx::range< TYPE >::upper_bound().

## size_buffer()

template<typename TYPE >

static constexpr std::size_t pqxx::string_traits< range< TYPE > >::size_buffer | ( | range< TYPE > const & | value | ) |

static constexpr noexcept

## to_buf()

template<typename TYPE >

static zview pqxx::string_traits< range< TYPE > >::to_buf | ( | char * | begin,
|  | char * | end,
|  | range< TYPE > const & | value
| ) |  |

static

The documentation for this struct was generated from the following file:

- range.hxx